##
##  cdk.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_maj 4.9.10
%define       V_min 20020809

#   package information
Name:         cdk
Summary:      Curses Development Kit
URL:          http://invisible-island.net/cdk/cdk.html
Vendor:       Mike Glover, Thomas E. Dickey
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Terminal
License:      BSD
Version:      %{V_maj}.%{V_min}
Release:      20020822

#   list of sources
Source0:      ftp://invisible-island.net/cdk/cdk-%{V_maj}-%{V_min}.tgz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, ncurses
PreReq:       OpenPKG, openpkg >= 20020206, ncurses
AutoReq:      no
AutoReqProv:  no

%description
    The Curses Development Kit (CDK) is a C library providing 21 reusable
    NCurses widgets for implementing text based applications.

%prep
    %setup -q -n cdk-%{V_maj}-%{V_min}

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="-I%{l_prefix}/include -I%{l_prefix}/include/ncurses" \
    LDFLAGS="-L%{l_prefix}/lib" \
    ./configure \
        --prefix=%{l_prefix} \
        --with-ncurses \
        --without-x
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    touch BUGS # install requires this missing file
    %{l_make} %{l_mflags} install \
        DESTDIR=$RPM_BUILD_ROOT \
        DOCUMENT_DIR=$RPM_BUILD_ROOT%{l_prefix}/share/cdk
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/cdk
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

